=== debian/control ===
Source: ros-indigo-industrial-collision-detection
Section: misc
Priority: extra
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-moveit-core, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-industrial-collision-detection
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-moveit-core, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp
Description: The industrial_collision_detection package
